J4.x

Update from 4.0.1 to 4.0.2

From Joomla! Documentation


With 4.0.1 we have introduced an issue into the Joomla Update Component. Please follow this process to update from 4.0.1 to 4.0.2.

You are not affected by the issue when you are updating directly from 3.10.x or 4.0.0 to 4.0.2.

Errors reported

Updating from 4.0.1 to 4.0.2 asks for an update of the Joomla Update Component Update-me-first-j4.png

Versions affected

General Information

This pertains only to Joomla! version(s): 4.0.1

What is the cause

With the release of 4.0.1 we introduced a issue to the Joomla Update Component that does not allow you to update to 4.0.2 directly. First update a standalone version of the Joomla Update Component and then you are able to update from 4.0.1 to 4.0.2 in the usual way.

How to fix

When you are on 4.0.1 you will see this on Joomla Update: Update-me-first-j4.png

Please use the button and Install the Update proposed for the Joomla Update Component: Update me first j4 install.png

Then you can go back to Joomla Update and install the full 4.0.2 update.